# Extra logging related to initialization of Log4j
# Set to debug or trace if log4j initialization is failing
status = warn
# Name of the configuration
name = Log4j2Configuration
property.prefix = 
# Log files location
property.basePath = c:/temp/logs
#property.basePath = ${sys:jboss.server.log.dir}

appenders = consoleLogger, rolling

# Console appender configuration
appender.consoleLogger.type = Console
appender.consoleLogger.name = consoleLogger
appender.consoleLogger.layout.type = PatternLayout
appender.consoleLogger.layout.pattern = ${prefix} [%d{yyyy-MM-dd HH:mm:ss.SSS}][%highlight{%-5level}][%t][%c{7.4}][%M:%L] %msg%n


# RollingFileAppender name, pattern, path and rollover policy

appender.rolling.type = RollingFile
appender.rolling.name = logFile
appender.rolling.fileName= ${basePath}/HSMExample.log
appender.rolling.filePattern= ${basePath}/HSM_%d{yyyyMMdd}.Example.gz
appender.rolling.layout.type = PatternLayout
appender.rolling.layout.pattern = ${prefix}%d{yyyy-MM-dd HH:mm:ss.SSS} %-5level %t (%c{7.4}.%M.%L) %msg%n
appender.rolling.policies.type = Policies

# RollingFileAppender rotation policy

appender.rolling.policies.size.type = SizeBasedTriggeringPolicy
appender.rolling.policies.size.size = 500MB
appender.rolling.policies.time.type = TimeBasedTriggeringPolicy
appender.rolling.policies.time.interval = 1
appender.rolling.policies.time.modulate = true
appender.rolling.strategy.type = DefaultRolloverStrategy
appender.rolling.strategy.delete.type = Delete
appender.rolling.strategy.delete.basePath = ${basePath}
appender.rolling.strategy.delete.maxDepth = 30
appender.rolling.strategy.delete.ifLastModified.type = IfLastModified

# Delete all files older than 30 days

appender.rolling.strategy.delete.ifLastModified.age = 30d


loggers=axis,spi2davex,jcr2spi,spi2dav,state,client
logger.axis.name=org.apache.axis
logger.axis.level = ERROR
logger.axis.additivity = false

logger.spi2davex.name=org.apache.jackrabbit.spi2davex
logger.spi2davex.level = INFO
logger.spi2davex.additivity = false

logger.jcr2spi.name=org.apache.jackrabbit.jcr2spi
logger.jcr2spi.level = INFO
logger.jcr2spi.additivity = false

logger.state.name=org.apache.jackrabbit.jcr2spi.state
logger.state.level = INFO
logger.state.additivity = false

logger.spi2dav.name=org.apache.jackrabbit.spi2dav
logger.spi2dav.level = INFO
logger.spi2dav.additivity = false

logger.client.name=vn.mobileid.fms.client
logger.client.level = INFO
logger.client.additivity = false

logger.spi2davex.appenderRef.rolling.ref = logFile
#logger.rolling.level = DEBUG

# Configure root logger
rootLogger.level = all

rootLogger.appenderRef.rolling.ref = logFile
# Root logger referring to console appender
rootLogger.appenderRef.stdout.ref = consoleLogger


